Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking2
Class EventDecoder

    java.lang.Object
      scone.accesstracking2.EventDecoder

Direct Known Subclasses:
  EventDecoderFirefox, EventDecoderGecko, EventDecoderIE

    public class EventDecoder

extends java.lang.Object

The methods of this class are called by AccessTrackingMeg. Every message of the meg has its own method to evaluate the received information and to create and change Access events.

Version:
  1.2, 28-Jul-2004
Author:
  Torsten Hass, Harald Weinreich

Field Summary
`protected boolean` | `accessEventExisted`
`static int` | `BACK`
`protected scone.accesstracking2.BrowserHistory` | `bh`
`static int` | `BOOKMARK`
`static int` | `BROWSER_FIREFOX`
`static int` | `BROWSER_GECKO`
`static int` | `BROWSER_IE`
`protected int` | `browserName`
`int` | `EXPLORER`
`int` | `FIREFOX`
`static int` | `FORMSUBMIT`
`static int` | `FRAGMENT`
`int` | `GECKO`
`static int` | `HEURISTIC`
`static int` | `LINK`
`protected int` | `MAXHISTORY`
`int` | `NETSCAPE`
`static int` | `NEWFRAME`
`static int` | `NEWURL`
`static int` | `NEWWINDOW`
`static int` | `NEXT`
`int` | `OTHER`
`static int` | `RELOAD`
`static int` | `SELFLINK`
`protected boolean` | `showMessages`
`static int` | `SKIPPED`

Constructor Summary
`EventDecoder()`

Method Summary
`void` | `printMsg(java.lang.String textMsg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINK

    public static final int LINK

See Also:
  Constant Field Values

### FRAGMENT

    public static final int FRAGMENT

See Also:
  Constant Field Values

### SELFLINK

    public static final int SELFLINK

See Also:
  Constant Field Values

### FORMSUBMIT

    public static final int FORMSUBMIT

See Also:
  Constant Field Values

### RELOAD

    public static final int RELOAD

See Also:
  Constant Field Values

### BACK

    public static final int BACK

See Also:
  Constant Field Values

### NEXT

    public static final int NEXT

See Also:
  Constant Field Values

### SKIPPED

    public static final int SKIPPED

See Also:
  Constant Field Values

### NEWWINDOW

    public static final int NEWWINDOW

See Also:
  Constant Field Values

### BOOKMARK

    public static final int BOOKMARK

See Also:
  Constant Field Values

### NEWFRAME

    public static final int NEWFRAME

See Also:
  Constant Field Values

### NEWURL

    public static final int NEWURL

See Also:
  Constant Field Values

### BROWSER_FIREFOX

    public static final int BROWSER_FIREFOX

See Also:
  Constant Field Values

### BROWSER_IE

    public static final int BROWSER_IE

See Also:
  Constant Field Values

### BROWSER_GECKO

    public static final int BROWSER_GECKO

See Also:
  Constant Field Values

### HEURISTIC

    public static final int HEURISTIC

See Also:
  Constant Field Values

### OTHER

    public final int OTHER

See Also:
  Constant Field Values

### EXPLORER

    public final int EXPLORER

See Also:
  Constant Field Values

### NETSCAPE

    public final int NETSCAPE

See Also:
  Constant Field Values

### GECKO

    public final int GECKO

See Also:
  Constant Field Values

### FIREFOX

    public final int FIREFOX

See Also:
  Constant Field Values

### MAXHISTORY

    protected final int MAXHISTORY

See Also:
  Constant Field Values

### bh

    protected scone.accesstracking2.BrowserHistory bh

### browserName

    protected int browserName

### accessEventExisted

    protected boolean accessEventExisted

### showMessages

    protected boolean showMessages

Constructor Detail

### EventDecoder

    public EventDecoder()

Method Detail

### printMsg

    public void printMsg(java.lang.String textMsg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD